Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Spring BlazeDS Integration
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.flex.messaging
Class MessageServiceConfigProcessor

    java.lang.Object
      org.springframework.flex.core.AbstractServiceConfigProcessor
          org.springframework.flex.messaging.MessageServiceConfigProcessor

All Implemented Interfaces:
  BeanFactoryAware, MessageBrokerConfigProcessor

    public class MessageServiceConfigProcessor

extends AbstractServiceConfigProcessor

`MessageBrokerConfigProcessor` implementation that installs a default MessageService if one has not already been configured through the BlazeDS XML configuration.

Using this processor makes the traditional `messaging-config.xml` file in BlazeDS XML configuration unnecessary when exclusively using Spring to configure Flex messaging destinations.

This processor is installed automatically when using the `message-broker` tag in the xml namespace configuration. Its settings can be customized using the `message-service` child tag. See the XSD docs for more detail.

Author:
  Jeremy Grelle

Nested Class Summary

Nested classes/interfaces inherited from class org.springframework.flex.core.AbstractServiceConfigProcessor
`AbstractServiceConfigProcessor.CustomSpringAdapter`

Constructor Summary
`MessageServiceConfigProcessor()`

Method Summary
`void` | `findDefaultChannel(MessageBroker broker, Service service)` Tries to find a sensible default AMF channel for the default MessageService If a application-level default is set on the MessageBroker, that will be used.
`protected String` | `getServiceAdapterClassName()` Returns the class name of the default `ServiceAdapter` for the `Service`
`protected String` | `getServiceAdapterId()` Returns the default `ServiceAdapter` id for the `Service`
`protected String` | `getServiceClassName()` Returns the class name of the specific `Service` implementation being configured
`protected String` | `getServiceId()` Returns the default id for the `Service` being configured

Methods inherited from class org.springframework.flex.core.AbstractServiceConfigProcessor
`processAfterStartup, processBeforeStartup, setBeanFactory, setDefaultAdapterId, setDefaultChannels`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MessageServiceConfigProcessor

    public MessageServiceConfigProcessor()

Method Detail

### findDefaultChannel

    public void findDefaultChannel(MessageBroker broker,
                                   Service service)

  Tries to find a sensible default AMF channel for the default MessageService If a application-level default is set on the MessageBroker, that will be used. Otherwise will use the first AMFEndpoint from services-config.xml that it finds with polling enabled.

  Specified by:
    `findDefaultChannel` in class `AbstractServiceConfigProcessor`
  Parameters:
    `broker` -
    `service` -

### getServiceAdapterClassName

    protected String getServiceAdapterClassName()

  Returns the class name of the default `ServiceAdapter` for the `Service`

  Specified by:
    `getServiceAdapterClassName` in class `AbstractServiceConfigProcessor`
  Returns:
    the default adapter class name

### getServiceAdapterId

    protected String getServiceAdapterId()

  Returns the default `ServiceAdapter` id for the `Service`

  Specified by:
    `getServiceAdapterId` in class `AbstractServiceConfigProcessor`
  Returns:
    the default adapter id

### getServiceClassName

    protected String getServiceClassName()

  Returns the class name of the specific `Service` implementation being configured

  Specified by:
    `getServiceClassName` in class `AbstractServiceConfigProcessor`
  Returns:
    the service class name

### getServiceId

    protected String getServiceId()

  Returns the default id for the `Service` being configured

  Specified by:
    `getServiceId` in class `AbstractServiceConfigProcessor`
  Returns:
    the default service id

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Spring BlazeDS Integration
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2011. All Rights Reserved.